Page MenuHomePhabricator

Searching another language via textcat detection uses the wrong boost templates
Closed, ResolvedPublic

Description

When we build the query for another wiki after textcat detects a language, we are still using the local wiki's template boosts. Somehow we should source the template list from the other wiki.

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJul 19 2016, 9:30 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.Jul 19 2016, 10:13 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.
debt added a subscriber: debt.

This is currently only working on enwiki (boosting) but when searching on ruwiki, it doesn't use the boosting for enwiki in the results.

This shouldn't slow down the release of TextCat into production, but we should do it within this quarter. And...it might be a super easy task or a super hard one, we'll have to investigate first to know for sure.

debt assigned this task to Smalyshev.Aug 2 2016, 6:51 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.

Current implementation also seems to use caching with $cache->makeKey( 'cirrussearch-boost-templates') which seems to be wrong as cache can be shared between wikis, IIRC. At least, I don't see anywhere that it is keyed by language.

Change 302857 had a related patch set uploaded (by Smalyshev):
Make boost templates depend on language

https://gerrit.wikimedia.org/r/302857

Change 302857 merged by jenkins-bot:
Make boost templates depend on language

https://gerrit.wikimedia.org/r/302857

Smalyshev closed this task as Resolved.Aug 17 2016, 8:14 PM